IF (WIN32)
  SET (PkgConfigPrefix "")
ELSE (WIN32)
  SET (PkgConfigPrefix ${CMAKE_INSTALL_PREFIX})
ENDIF (WIN32)
SET (PkgConfigExecPrefix "\${prefix}")
SET (PkgConfigLibDir "\${exec_prefix}/lib")
SET (PkgConfigIncludeDir "\${prefix}/include")

SET (PkgConfigName "${CMAKE_PROJECT_NAME}")
SET (PkgConfigDescription "${PROJECT_DESCRIPTION}")
SET (PkgConfigVersion "${MAJOR}.${MINOR}.${PATCH}")
SET (PkgConfigLibs "-L\${libdir}")

IF (WIN32)
  SET (PkgConfigLibs "${PkgConfigLibs} -l${PROJECT_LOWERCASE_NAME}-${MAJOR}")
ELSE (WIN32)
  SET (PkgConfigLibs "${PkgConfigLibs} -l${PROJECT_LOWERCASE_NAME}.so.${MAJOR}")
ENDIF (WIN32)

SET (PkgConfigLibsPrivate "")
SET (PkgConfigCflags "")
